/* */

Say
Say 'This program will install network products on your system.'
Say 'Press ENTER to continue or CTRL-BREAK to abort.'
'@pause>nul'

Say
Say 'Please sure that you have inserted you updated OS/2 installation'
Say 'CD-ROM in your CD/DVD drive. Type in the drive letter of this drive'
Say 'and press ENTER.'
Say
Say 'Example response: X:'
pull cd_drive

if stream(cd_drive'\cid\img\fi\fisetup.exe', 'c', 'query exists') = '' then do
	Say
	Say 'Cannot find network products in drive 'cd_drive'. Exiting.'
	exit
end
else do
	Say
	Say 'Installing Feature Installer, please wait.'
	'@'cd_drive'\cid\img\fi\fisetup.exe /NORESTARTSHELL /NN'
	Say 'Installation ended with return code rc='rc
	if stream(cd_drive'\cid\img\mpts\mpts.exe', 'c', 'query exists') <> '' then do
		Say
		Say 'Installing MPTS, please wait.'
		'@'cd_drive'\cid\img\mpts\mpts.exe'
		Say 'Installation ended with return code rc='rc
	end
	if stream(cd_drive'\cid\img\tcpapps\install.exe', 'c', 'query exists') <> '' then do
		Say
		Say 'Installing TCP/IP, please wait.'
		'@'cd_drive'\cid\img\tcpapps\install.exe'
		Say 'Installation ended with return code rc='rc
	end
	if stream(cd_drive'\cid\img\tcpapps\install.cmd', 'c', 'query exists') <> '' then do
		Say
		Say 'Installing TCP/IP, please wait.'
		tabledir = cd_drive'\cid\img\tcpapps\install'
		cltdir = '\grpware'
		instdir = 'grpware'
		call make_tcpip32_rsp
		'@clifi /a:i /r:\grpware\tcpinst.rsp'
		Say 'Installation ended with return code rc='rc
	end
end

'@pause>nul'

exit

/* generate tcp/ip 32 clifi response file */
make_tcpip32_rsp:

	/* needed files */
	tcp32rspsrc = tabledir'\TCPINST.RSP'
	tcp32rspfile = cltdir'\TCPINST.RSP'
	'@del 'tcp32rspfile' >nul 2>>&1'

	found  = 0
	found2 = 0

	do while lines(tcp32rspsrc)
		l = linein(tcp32rspsrc)

		if found = 1 then do
			if instdir = 'grpware' then 
				l = '		Value='cd_drive'\cid\img\tcpapps\install'
			else 
				l = '		Value='cd_drive'\cid\server\tcpapps\install'
			found = 0
		end

		if found2 = 1 then do
			if instdir = 'grpware' then 
				call lineout tcp32rspfile, '		FilePath='cd_drive'\cid\img\tcpapps\install\makecmd.exe'
			else 
				call lineout tcp32rspfile, '		FilePath='cd_drive'\cid\server\tcpapps\install\makecmd.exe'
			found2 = 0
		end

		if pos('Description=Where Package is put', l) > 0 then found = 1
		if pos('FilePath={Current_path}\install\makecmd.exe', l) > 0 then found2 = 1

		if found2 <> 1 then call lineout tcp32rspfile, l
	end

	call lineout tcp32rspfile

RETURN

